> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Create New Import Operation > Creates a new import operation; if an operation was already running, it will be aborted. Any data from previous imports will be cleared automatically. Permission required: `run-import` ### Changelog | Version | Description | | ---------------- | ------------| |6.3.0 | Added | ## OpenAPI ````json POST /api/v1/import.new { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Federation" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/import.new": { "post": { "summary": "Create New Import Operation", "operationId": "post-api-v1-import.new", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "operation": { "type": "object", "properties": { "_id": { "type": "string" }, "type": { "type": "string" }, "importerKey": { "type": "string" }, "ts": { "type": "string" }, "status": { "type": "string" }, "valid": { "type": "boolean" }, "user": { "type": "string" }, "_updatedAt": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "operation": { "_id": "64d69545ee8ae821983005f5", "type": "api", "importerKey": "api", "ts": "2023-08-11T20:08:37.655Z", "status": "importer_new", "valid": "true", "user": "rbAXPnMktTFbNpwtJ", "_updatedAt": "2023-08-11T20:08:37.655Z" }, "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } }, "description": "Creates a new import operation; if an operation was already running, it will be aborted. Any data from previous imports will be cleared automatically.\nPermission required: `run-import`\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|6.3.0 | Added |", "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" } ], "tags": [ "Bulk User Import" ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } }, "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": "true", "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": "true", "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } } } } ````